{% comment %}
  Renders cart drawer

  Usage:
  {% render 'cart-drawer' %}
{% endcomment %}

<script src="{{ 'cart.js' | asset_url }}" defer="defer"></script>

<style>
  #CartDrawer {
    width: 600px;
  }
  cart-drawer.is-empty .draw-body {
    display: none;
  }
  cart-drawer.is-empty .drawer__footer {
    display: none;
  }
  .drawer__inner {
    width: 100% !important;
    max-width: 100% !important;
    padding: 0px !important;
    background-color: #e6edee !important;
  }
  .drawer {
    visibility: hidden;
  }
  .drawer-cart-noticifation {
    background: #c5ffbb;
    min-height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .drawer-cart-noticifation a {
    font-family: unset;
    font-size: 17px;
    line-height: 24px;
    text-decoration: underline;
    color: #014550;
  }
  .drawer-header {
    padding: 0px 40px;
  }
  #CartDrawer-Form {
    padding: 0px 40px;
  }
  .drawer__footer {
    padding: 0px 40px 20px !important;
    background-color: transparent !important;
  }
  .drawer__close {
    position: initial !important;
  }
  .drawer__footer {
    background-color: white !important;
  }
  .drawer__heading {
    color: #014550;
    font-family: FinancierDisplay;
    font-size: 30px;
    font-weight: 300;
  }

  .drawer__close svg {
    width: 2rem !important;
    height: 2rem !important;
  }
  .cart-item__details {
    padding-top: 5px;
  }
  .product-option b {
    font-size: 15px;
  }

  .cart-item {
    background: white;
    border-radius: 8px;
    padding-bottom: 20px;
  }
  .cart-item * {
    color: #014550;
  }
  .quantity-wrapper {
    border: 1px solid lightgray;
    max-width: 80px;
    border-radius: 5px;
  }
  .quantity-wrapper * {
    color: #02825c;
    fill: #02825c;
    font-size: 18px;
    padding: 0px !important;
  }

  .quantity__button svg {
    width: 14px !important;
  }
  .quantity__button {
    width: 25px;
    height: 33px;
  }
  .cart-drawer .cart-item {
    grid-template-columns: 1fr 2fr auto !important;
    padding: 17px;
    padding-bottom: 0px;
    gap: 8px !important;
    margin-bottom: 20px !important;
  }
  .cart-drawer .cart-items td {
    padding-top: 0px !important;
  }
  .cart-item__price-wrapper span {
    letter-spacing: 0px !important;
  }

  .product-option-wrapper {
    margin-top: 10px;
  }
  .price.price-original {
    text-decoration: line-through;
  }
  .price.price-end {
    font-weight: 600;
    font-size: 22px;
    color: #014550;
    margin-top: 6px;
  }
  .select-size-option.is_checked {
    background-color: #014550;
    color: white;
  }
  .cart-item__media {
    grid-row: 1 / 2;
    margin-right: 10px;
  }
  .cart-item-footer {
    padding: 10px 25px !important;
    border-top: 1px solid #c5d1d3 !important;
    margin: 10px -17px 0px;
    display: flex;
    justify-content: flex-end;
    font-size: 20px;
    grid-column: 1 / all;
  }
  cart-remove-button button {
    font-size: 20px !important;
    margin-top: 20px;
    font-weight: bolder;
    margin-bottom: 8px;
  }
  .product-option-wrapper {
    grid-column: 2 / 5;
  }

  td.cart-item__details,
  .product-option-wrapper {
    margin-left: 0px;
  }
  .edit-btn-wrapper {
    grid-column: 4 / 5;
  }
  .edit-btn-wrapper button {
    font-size: 16px;
    line-height: 1;
    border: 0;
    border-bottom: 1px solid currentColor;
    background: transparent;
    color: #02825c;
  }
  .cart-remove-button .button {
    font-size: 16px !important;
    color: #02825c !important;
    text-decoration: underline !important;
  }
  #CartDrawer .button.button--tertiary {
    font-size: 16px !important;
    color: #02825c;
    border-bottom: 1px solid currentColor;
    min-height: 1em;
  }
  #CartDrawer .cart-item__name {
    line-height: 1.15;
    font-weight: 700;
    color: #014550;
  }
  #CartDrawer .cart-item cart-remove-button {
    margin-top: 18px !important;
    margin-bottom: 10px !important;
  }
  .drawer__footer {
    padding: 30px 50px !important;
    background-color: white;
  }
  .cart-drawer__footer .totals * {
    font-size: 21px;
    line-height: 28px;
    color: #014550;
    font-weight: 500;
    font-family: system-ui;
  }
  #CartDrawer-Checkout {
    height: 54px;
    width: 100%;
    font-size: 20px;
    color: #3cf084;
    border-radius: 30px;
    background-color: #014550;
    border: 1px solid #c5d1d3;
  }
  #CartDrawer-Checkout:hover {
    color: #014550;
    background-color: transparent;
    transition: all 0.2s;
  }
  .tax-note p {
    font-size: 12px;
  }
  .tax-note p a {
    color: #02825c;
    text-decoration: underline;
  }
  #CartDrawer-Checkout {
    height: 54px;
    width: 100%;
    font-size: 20px;
    color: #3cf084;
    border-radius: 30px;
    background-color: #014550;
    border: 1px solid #c5d1d3;
  }
  .cart__ctas {
    margin-top: 15px !important;
  }
  #CartDrawer cart-drawer-items {
    height: calc(100% - 210px);
    overflow: auto;
  }
  .cart-item__image {
    width: 6.7em !important;
  }
  cart-drawer.is-empty .drawer__inner {
    grid-template-columns: auto !important;
  }
  .color-option-title,
  .size-option-title {
    font-size: 15px;
    font-weight: 700;
  }

  .current-size-label {
    border: 1px solid gray;
    border-radius: 6px;
    font-size: 14px;
    padding: 5px 36px 5px 9px;
    position: relative;
  }
  .accordion-wrapper {
    position: relative;
  }
  .size-select {
    font-size: 14px;
    height: 0px;
    position: absolute;
    background: white;
    border: 1px solid;
    width: 99%;
    height: max-content;
    z-index: -100;
    transition: 0.2s;
    margin-top: 5px;
    border-radius: 5px solid gray;
    transform: scale(0);
    transition: all 0.2s ease;
  }
  .size-select li {
    padding: 5px 10px;
    cursor: pointer;
  }
  .size-select li:hover {
    background-color: rgb(151 255 151 / 74%);
    transition: all 1s;
  }
  .size-select.is_checked {
    background-color: #014550;
    color: white;
  }
  .size-select.is_open {
    transform: scale(1);
    z-index: 10;
  }
  .accordion-control.active svg {
    transform: translateY(-50%) rotate(180deg);
  }
  .accordion-control svg {
    position: absolute;
    top: 50%;
    right: 10%;
    transform: translateY(-50%);
    transition: 0.2s;
  }
  .product-option + .product-option {
    margin: 0 !important;
    margin-left: 5px !important;
  }
  .product-edit-button {
    color: #02825c;
  }
  td.cart-item__details,
  .product-option-wrapper .cart-item__details {
    margin: 0px I !important;
  }

  .draw-body {
    height: calc(100% - 210px);
    overflow: auto;
    padding-bottom: 30px
  }
  #CartDrawerNote {
    margin: 20px 40px;
    padding: 0px 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: white;
    border-radius: 8px;
  }
  .note-summary-title.active svg {
    position: relative;
    transition: all 0.2s ease;
  }
  .note-summary-title.active svg {
    transform: rotate(180deg);
    transition: all 0.2s ease;
  }
  .note-summary-title svg {
    width: 15px;
  }
  .cart-note-field-wrapper {
    display: none;
    border-radius: 5px;
  }
  .note-summary-title {
    width: 100%;
    padding: 18px 0px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    font-weight: 600;
    font-size: 17px;
    color: #014550;
    line-height: 1.41176;
  }
  #CartDrawer-Note {
    font-size: 16px;
    margin-bottom: 6px;
    padding: 20px 12px;
    border-radius: 5px;
    border-color: black;
  }
  .cart-note {
    max-width: 100% !important;
    width: 100%;
    height: 150px;
    background-color: #e6edee;
  }
  #CartDrawer-Note:focus-visible {
    outline: none;
    outline-offset: 0;
    outline-offset: 0.3rem;
    box-shadow: none;
    border: 2px solid black;
  }
  .save-note-btn-wrapper {
    padding-bottom: 17px;
  }

  .product-upsell {
    padding: 0px 40px;
    display: flex;
    flex-direction: column;
  }
  .product-upsell-body {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
    padding: 20px 16px;
    border: 1px solid #02825c;
    border-radius: 8px;
    background: #fff;
  }
  .product-upsell-image-wrapper {
    width: 22%;
  }
  .product-upsell_info {
    width: 73%;
  }
  .product-upsell-body img {
    width: 100%;
  }
  .product-upsell_heading1 {
    font-weight: 700;
    font-size: 17px;
    color: #014550;
  }
  .product-upsell_heading2 {
    font-size: 15px;
    color: #014550;
    margin-top: 3px;
  }
  .product-upsell-heading3 {
    font-size: 21px;
    line-height: 28px;
    color: #014550;
    font-weight: 100;
    font-family: math;
  }
  .product-upsell-sub-title {
    color: #014550;
    font-size: 14px;
  }
  .product-upsell-title {
    font-size: 21px;
    line-height: 28px;
    color: #014550;
    font-weight: 300;
    font-family: fangsong;
  }
  .product-upsell-was {
    font-weight: 700;
    font-size: 21px;
    line-height: 28px;
    color: #014550;
    padding-left: 5px;
  }
  .product-upsell-info-top {
    padding-bottom: 5px;
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid green;
  }
  #CartDrawer .btn {
    min-width: 75px;
    height: 34px;
    background: #014550;
    color: #3cf084;
    font-size: 16px;
    border-radius: 34px;
    border: 1px solid #014550;
    padding: 8px 24px;
    cursor: pointer;
  }
  #CartDrawer .btn:hover {
    color: #014550;
    background: transparent;
    transition: 0.2s;
  }
  .product-upsell-info-bottom .btn {
    margin-top: 15px;
  }

  .drawer__inner-empty {
    background-color: #e6edee !important;
  }
  .empty-cart {
    padding: 0px 40px;
  }

  .empty-cart-title .title {
    padding-bottom: 9px;
    margin: 0px;
    color: #014550;
    font-family: serif;
    font-size: 26px;
    line-height: 1;
    font-weight: 100;
    margin-bottom: 0;
  }

  .empty-cart-title .sub-title {
    color: #014550;
    font-size: 17px;
  }
  .empty-cart-body a.btn {
    padding: 11px 45px !important;
    font-weight: 700;
    font-size: 15px !important;
  }
  .empty-cart-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
    margin-top: 35px;
  }
  .note-summary-title.active .cart-note-state {
    opacity: 0;
    transition: all 0.2s ease;
  }
  .note-summary-title .cart-note-state {
    margin-right: 5px;
    opacity: 1;
    color: red;
    transition: all 0.2s ease;
  }
  .product-tip-image-wrapper {
    max-width: 100px;
  }
  .tip-product-wrapper {
    padding: 0px 40px 0px 40px;
  }
  .tip-product-wrapper {
  }
  .product-tip-body {
    padding: 20px;
    background: white;
    margin-bottom: 16px;
    gap: 10px;
    border-radius: 10px;
  }

  @media screen and (max-width: 575px) {
    .tip-product-wrapper{
      padding: 0px 14px;
    }
    
    .product-upsell{
      padding: 20px 15px;
    }
    .product-tip-body{
      padding:10px 0px;
    }
    #CartDrawerNote{
      margin: 0px 15px;
    }
    
    .drawer__heading {
      font-size: 24px;
      margin: 0px !important;
    }
    .drawer__close svg {
      width: 16px !important;
      height: 16px !important;
    }
    .cart-item__image {
      width: 80px !important;
    }
    
    #CartDrawer .drawer__inner {
      margin: 0px;
      max-width: 100%;
    }
    .cart-drawer .cart-item > td + td {
      margin-left: 0px !important;
    }
    .cart-item-footer {
      grid-column: 1 / 5;
    }
    #CartDrawer .button.button--tertiary {
      height: 1.4em;
      min-width: 4em;
    }
    .cart-item {
      padding-right: 15px !important;
    }
    td.cart-item__details,
    .product-option-wrapper {
      margin-left: 0px;
    }
    .product-option b {
      display: none;
    }
    .cart-drawer .cart-item__image {
      width: 80px !important;
    }
    .cart-item__details,
    .cart-item__totals {
      margin-top: 5px !important ;
    }
    
    .cart-drawer .cart-item {
      gap: 3px !important;
    }
    .cart-drawer__footer .totals * {
      font-size: 17px;
    }
    .cart__ctas {
      margin-top: 9px !important;
    }
   
    .tax-note p {
      font-size: calc(((16 - 1) / (16)) * 1em) !important;
    }
    .drawer__footer {
      padding: 20px 16px 6px !important;
    }
  }
  @media (max-width: 575px){
    #CartDrawer .cart-item__name {
      font-size: 14px !important;
    }
    #CartDrawer-Checkout {
      height: 45px !important;
      font-size: 18px !important;
    }
    #CartDrawer-Form {
      padding: 0px 16px 8px !important;
    }
    #CartDrawer {
      width: 100%;
    }
    .drawer-header {
      padding: 0px 16px !important;
      display: flex !important;
      align-items: center !important;
      margin-bottom: 20px;
      box-shadow: 0 2px 4px lightgrey;
    } 
  }

</style>

<div id="cart-drawer-wrapper">
  <cart-drawer class="drawer{% if cart == empty %} is-empty{% endif %}">
    <div id="CartDrawer" class="cart-drawer">
      <div id="CartDrawer-Overlay" class="cart-drawer__overlay"></div>
      <div
        class="drawer__inner"
        role="dialog"
        aria-modal="true"
        aria-label="{{ 'sections.cart.title' | t }}"
        tabindex="-1"
      >
        {%- if cart == empty -%}
          <div class="drawer__inner-empty">
            <div class="drawer-header d-flex justify-content-between">
              <h2 class="drawer__heading">Cart</h2>
              <button
                class="drawer__close"
                type="button"
                onclick="this.closest('cart-drawer').close()"
              >
                {% render 'icon-close' %}
              </button>
            </div>
            <div class="empty-cart">
              <div class="empty-cart-title center">
                <h3 class="title">Your cart is empty</h3>
                <h4 class="sub-title">Check out our shop to see what's</h4>
              </div>
              <div class="empty-cart-body">
                {% for block in cart_blocks %}
                  {% if block.settings.collection != blank %}
                    <div class="cart-menu-item">
                      <a class="btn" href="{{ block.settings.collection.url }}">
                        {{- block.settings.collection.title -}}
                      </a>
                    </div>
                  {% endif %}
                {% endfor %}
              </div>
            </div>
          </div>
        {% else %}
          <div class="drawer-cart-noticifation">
            <a href="/checkout">Checkout</a>
          </div>
          <div class="drawer-header d-flex justify-content-between">
            <h2 class="drawer__heading">Cart</h2>
            <button
              class="drawer__close"
              type="button"
              onclick="this.closest('cart-drawer').close()"
            >
              {% render 'icon-close' %}
            </button>
          </div>
        {%- endif -%}
        <div class="draw-body">
          {% if tip_product != block and tip_price != blank %}
            <div class="tip-product-wrapper">
              {% assign tip_variant = tip_product.selected_or_first_available_variant %}
              {% assign progess_money = cart.total_price | divided_by: 100 | minus: tip_price %}
              <tip-product
                data-vid="{{ tip_variant.id }}"
                data-avaiable="{%if progess_money >= 0%}{{true}}{%else%}{{false}}{%endif%}"
                {% for item in cart.items %}
                  {% if item.variant == tip_variant %}
                    exist-in-cart="true"
                  {% endif %}
                {% endfor %}
              >
                <div class="product-tip-body d-flex">
                  <div class="product-tip-image-wrapper ">
                    <a href="{{ tip_product.url }}" class="product-tip-image">
                      <img
                        src="
                          {%if tip_variant.image != blank %}
                            {{ tip_variant.image | img_url: 'medium'}}
                          {%else%}
                            {{ tip_product.featured_image | img_url: 'medium'}}
                          {%endif%}
                        "
                        alt=""
                      >
                    </a>
                  </div>
                  <div class="product-tip-info">
                    <div class="product-tip-info-top">
                      <div class="product-tip">
                        <div class="product-tip-title">
                          {{ tip_product.title }}
                        </div>
                        <div class="product-tip-progess">
                          {% if progess_money >= 0 %}
                            Tip product are awared you
                          {% else %}
                            {{ progess_money | times: 100 | abs | money }} until you get a tip
                          {% endif %}
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </tip-product>
            </div>
          {% endif %}
          <cart-drawer-items
            {% if cart == empty %}
              class=" is-empty"
            {% endif %}
          >
            <form
              action="{{ routes.cart_url }}"
              id="CartDrawer-Form"
              class="cart__contents cart-drawer__form"
              method="post"
            >
              <div id="CartDrawer-CartItems" class="drawer__contents js-contents">
                {%- if cart != empty -%}
                  <div class="drawer__cart-items-wrapper">
                    <table class="cart-items" role="table">
                      <tbody role="rowgroup">
                        {%- for item in cart.items -%}
                          <tr
                            id="CartDrawer-Item-{{ item.index | plus: 1 }}"
                            class="
                              cart-item {% if item.variant == tip_product.selected_or_first_available_variant %}
                                hide
                              {% endif %}
                            "
                            role="row"
                          >
                            <td
                              class="cart-item__media "
                              role="cell"
                              headers="CartDrawer-ColumnProductImage"
                            >
                              {% if item.image %}
                                <a href="{{ item.url }}" class="cart-item__link" tabindex="-1" aria-hidden="true"> </a>
                                <img
                                  class="cart-item__image"
                                  src="{{ item.image | image_url: width: 300 }}"
                                  alt="{{ item.image.alt | escape }}"
                                  loading="lazy"
                                  width="150"
                                  height="{{ 150 | divided_by: item.image.aspect_ratio | ceil }}"
                                >
                              {% endif %}
                            </td>
                            <td class="cart-item__details" role="cell" headers="CartDrawer-ColumnProduct">
                              <a href="{{ item.url }}" class="cart-item__name h4 break text-upper">
                                {{- item.product.title | escape -}}
                              </a>
                              <dl
                                class="current-item-option d-flex align-item-center"
                                data-current-vid="{{ item.variant.id }}"
                                current-item-id="{{ item.id }}"
                              >
                                {%- for option in item.options_with_values -%}
                                  <span
                                    class="product-option {{ optoin.name }}-wrapper"
                                    option-name="{{ option.name }}"
                                    option-value="{{ option.value }}"
                                  >
                                    <b>{{ option.name }}:</b>
                                    <span class="text-capitalize">
                                      {{ option.value -}}
                                    </span>
                                  </span>
                                {%- endfor -%}
                              </dl>
                              <ul
                                class="discounts list-unstyled"
                                role="list"
                                aria-label="{{ 'customer.order.discount' | t }}"
                              >
                                {%- for discount in item.discounts -%}
                                  <li class="discounts__discount">
                                    {%- render 'icon-discount' -%}
                                    {{ discount.title }}
                                  </li>
                                {%- endfor -%}
                              </ul>
                            </td>
                            <td
                              class="cart-item__totals right justify-content-start align-item-end d-flex flex-column"
                              role="cell"
                              headers="CartDrawer-ColumnTotal"
                            >
                              <div class="loading-overlay hidden">
                                <div class="loading-overlay__spinner">
                                  <svg
                                    aria-hidden="true"
                                    focusable="false"
                                    role="presentation"
                                    class="spinner"
                                    viewBox="0 0 66 66"
                                    xmlns="http://www.w3.org/2000/svg"
                                  >
                                    <circle class="path" fill="none" stroke-width="6" cx="33" cy="33" r="30"></circle>
                                  </svg>
                                </div>
                              </div>
                              <div class="cart-item__price-wrapper">
                                <div class="price price-original">
                                  {{ item.original_line_price | money }}
                                </div>
                                <span class="price price-end">
                                  {{ item.line_price | money }}
                                </span>
                              </div>
                            </td>
                            <td class="product-option-wrapper">
                              <quantity-input class="quantity-wrapper d-flex">
                                <button class="quantity__button no-js-hidden" name="minus" type="button">
                                  <span class="visually-hidden">
                                    {{-
                                      'products.product.quantity.decrease'
                                      | t: product: item.product.title
                                      | escape
                                    -}}
                                  </span>
                                  {% render 'icon-minus' %}
                                </button>
                                <input
                                  class="quantity__input no-padding"
                                  type="number"
                                  name="updates[]"
                                  value="{{ item.quantity }}"
                                  min="0"
                                  aria-label="{{ 'products.product.quantity.input_label' | t: product: item.product.title | escape }}"
                                  id="Drawer-quantity-{{ item.index | plus: 1 }}"
                                  data-index="{{ item.index | plus: 1 }}"
                                  data-vid="{{ item.variant.id }}"
                                >
                                <button class="quantity__button no-js-hidden" name="plus" type="button">
                                  <span class="visually-hidden">
                                    {{-
                                      'products.product.quantity.increase'
                                      | t: product: item.product.title
                                      | escape
                                    -}}
                                  </span>
                                  {% render 'icon-plus' %}
                                </button>
                              </quantity-input>
                              <div class="variant-select-wrapper hide d-flex flex-column">
                                <select name="" id="product-data" class="hide">
                                  {% for variant in item.product.variants %}
                                    <option
                                      options="{{ variant.option1}},{{ variant.option2 }},{{ variant.option3 }}"
                                      vId="{{ variant.id }}"
                                      inventory-qty="{{ variant.inventory_quantity }}"
                                    ></option>
                                  {% endfor %}
                                </select>
                                {% for option in item.product.options_with_values %}
                                  {% case option.name %}
                                    {% when 'Color', 'color' %}
                                      <div class="color-select d-flex justify-content-between width-100 order-one">
                                        <h3 class="color-option-title">{{ option.name }}</h3>
                                        <fieldset class="no-border color-select-wrapper">
                                          {% for value in option.values %}
                                            <input
                                              data-tooltip="{{ value }}"
                                              type="radio"
                                              name="{{ item.id }}_{{ option.name }}"
                                              value="{{ value }}"
                                              {% for item in item.options_with_values %}
                                                {% if item.value == value %}
                                                  checked
                                                  pre-checked="true"
                                                {% endif %}
                                              {% endfor %}
                                            >
                                            <label
                                              class="
                                                variant-select-label
                                                {% if sVariant.option1 == value or sVariant.option2 == value or sVariant.option3 %}
                                                  is_selected
                                                {% endif %}
                                              "
                                              data-color-name="{{ value }}"
                                              for="{{ block.id }}_{{ value }}"
                                            >
                                            </label>
                                          {% endfor %}
                                        </fieldset>
                                      </div>
                                    {% when 'size', 'Size' %}
                                      <div
                                        class="size-select-wrapper d-flex justify-content-between align-item-center flex-two"
                                        class="no-border "
                                      >
                                        <h3 class="size-option-title">{{ option.name }}</h3>
                                        <div class="accordion-wrapper">
                                          <p class="current-size-label accordion-control">
                                            <span>
                                              {% for value in option.values %}
                                                {% for item in item.options_with_values %}
                                                  {% if item.value == value %}
                                                    {{ value }}
                                                  {% endif %}
                                                {% endfor %}
                                              {% endfor %}
                                            </span>
                                            {% liquid
                                              render : "arrow-down"
                                            %}
                                          </p>

                                          <div class="size-select">
                                            <ul>
                                              {% for value in option.values %}
                                                <li
                                                  class="
                                                    select-size-option
                                                    {%- for item in item.options_with_values -%}
                                                      {% if item.value == value %}
                                                        pre-checked is_checked
                                                      {% endif %}
                                                    {%- endfor-%}
                                                  "
                                                  data-size="{{ value }}"
                                                >
                                                  {{ value }}
                                                </li>
                                              {% endfor %}
                                            </ul>
                                          </div>
                                        </div>
                                      </div>
                                  {% endcase %}
                                {% endfor %}
                              </div>
                            </td>
                            <td class="edit-btn-wrapper right">
                              <a class="product-edit-button pointer" data-el="btnEdit">Edit</a>
                            </td>
                            <td class="cart-item-footer">
                              <cart-remove-button
                                id="CartDrawer-Remove-{{ item.index | plus: 1 }}"
                                data-index="{{ item.index | plus: 1 }}"
                              >
                                <button
                                  type="button"
                                  class="button button--tertiary"
                                  aria-label="{{ 'sections.cart.remove_title' | t: title: item.title }}"
                                >
                                  {% comment %} {% render 'icon-remove' %} {% endcomment %}
                                  Remove
                                </button>
                              </cart-remove-button>
                            </td>
                            <script type="application/json" item-variants-json>
                              {{ item.product.variants | json }}
                            </script>
                          </tr>
                        {%- endfor -%}
                      </tbody>
                    </table>
                  </div>
                {%- endif -%}
                <p id="CartDrawer-LiveRegionText" class="visually-hidden" role="status"></p>
                <p id="CartDrawer-LineItemStatus" class="visually-hidden" aria-hidden="true" role="status">
                  {{ 'accessibility.loading' | t }}
                </p>
              </div>
              <div></div>
              <div id="CartDrawer-CartErrors" role="alert"></div>
            </form>
          </cart-drawer-items>
          {%- if settings.show_cart_note -%}
            <div id="CartDrawerNote">
              <span class="note-summary-title" accordion-control>
                Is this a gift?
                <div class="d-flex">
                  {% if cart.note != blank %}
                    <h4 class="cart-note-state">Edit</h4>
                  {% endif %}

                  {% render 'icon-caret' %}
                </div>
              </span>
              <div class="cart-note-field-wrapper">
                <label class="visually-hidden" for="CartDrawer-Note">{{ 'sections.cart.note' | t }}</label>
                <div>
                  <textarea
                    placeholder="Gift note"
                    id="CartDrawer-Note"
                    class="cart-note"
                    name="note"
                  >{{ cart.note }}</textarea>
                </div>
                <div class="save-note-btn-wrapper right">
                  <cart-note-save-button class="btn ">Save</cart-note-save-button>
                </div>
              </div>
            </div>
          {%- endif -%}
          {% if upsell_proudct != blank %}
            {% assign variant = upsell_proudct.selected_or_first_available_variant %}
            <product-up-sell
              class="
                product-upsell  {% for item in cart.items %}
                  {% if item.variant.product == variant.product %}
                    hide
                  {% endif %}
                {% endfor %}
              "
              data-el="product-upsell"
              data-product-id="{{ variant.product.id }}"
              variant-id="{{ variant.id }}"
              addtobundle
            >
              <h3 class="product-upsell_heading1">{{ upsell_heading1 }}</h3>
              <h4 class="product-upsell_heading2">{{ upsell_heading2 }}</h4>
              <div class="product-upsell-body">
                <div class="product-upsell-image-wrapper">
                  <a href="{{ variant.url }}" class="product-upsell-image">
                    <img
                      src="{{ variant.featured_image  |img_url: '1000x'}}"
                      alt=""
                    >
                  </a>
                </div>
                <div class="product-upsell_info">
                  <div class="product-upsell-info-top">
                    <div class="product-upsell-heading3">
                      <div class="product-upsell-title">
                        {% if upsell_title != blank %}
                          {{ upsell_title }}
                        {% else %}
                          {{ variant.title }}
                        {% endif %}
                      </div>
                      <div class="product-upsell-sub-title">
                        {% if upsell_sub_title != blank %}
                          {{ upsell_sub_title }}
                        {% else %}
                          {{ variant.description }}
                        {% endif %}
                      </div>
                    </div>
                    <div class="product-upsell-price" data-el="normal">
                      <span class="product-upsell-was">{{ variant.price | money }}</span>
                    </div>
                    <div class="product-upsell-price hide" data-el="priceDiscount">
                      <span class="product-upsell-compare">{{ variant.compare_at_price | money }}</span>
                      <span class="product-upsell-was">{{ variant.price | money }}</span>
                    </div>
                  </div>
                  <div class="product-upsell-info-bottom right">
                    <button type="button" class="btn" data-el="addToCart">Add</button>
                  </div>
                </div>
              </div>
            </product-up-sell>
          {% endif %}
        </div>
        <div class="drawer__footer">
          <!-- Start blocks -->
          <!-- Subtotals -->

          <div class="cart-drawer__footer" {{ block.shopify_attributes }}>
            <div class="totals" role="status">
              <h2 class="totals__subtotal">Estimated Total</h2>
              <p class="totals__subtotal-value">{{ cart.total_price | money }}</p>
            </div>

            <div>
              {%- if cart.cart_level_discount_applications.size > 0 -%}
                <ul class="discounts list-unstyled" role="list" aria-label="{{ 'customer.order.discount' | t }}">
                  {%- for discount in cart.cart_level_discount_applications -%}
                    <li class="discounts__discount discounts__discount--end">
                      {%- render 'icon-discount' -%}
                      {{ discount.title }}
                      (-{{ discount.total_allocated_amount | money }})
                    </li>
                  {%- endfor -%}
                </ul>
              {%- endif -%}
            </div>
            <!-- CTAs -->

            <div class="cart__ctas" {{ block.shopify_attributes }}>
              <noscript>
                <button type="submit" class="cart__update-button button button--secondary" form="CartDrawer-Form">
                  {{ 'sections.cart.update' | t }}
                </button>
              </noscript>

              <button
                type="submit"
                id="CartDrawer-Checkout"
                class="cart__checkout-button button"
                name="checkout"
                form="CartDrawer-Form"
                {% if cart == empty %}
                  disabled
                {% endif %}
              >
                {{ 'sections.cart.checkout' | t }}
              </button>
            </div>
            <small class="tax-note caption-large rte">
              <p class="center">
                By clicking Checkout you are agreeing to our
                <a href="">Terms of Service</a> and <a href=""> Privacy Policy</a>
              </p>
            </small>
          </div>
        </div>
      </div>
    </div>
  </cart-drawer>
</div>

<script>
  document.addEventListener('DOMContentLoaded', function () {
    function isIE() {
      const ua = window.navigator.userAgent;
      const msie = ua.indexOf('MSIE ');
      const trident = ua.indexOf('Trident/');
      return msie > 0 || trident > 0;
    }
    if (!isIE()) return;
    const cartSubmitInput = document.createElement('input');
    cartSubmitInput.setAttribute('name', 'checkout');
    cartSubmitInput.setAttribute('type', 'hidden');
    document.querySelector('#cart').appendChild(cartSubmitInput);
    document.querySelector('#checkout').addEventListener('click', function (event) {
      document.querySelector('#cart').submit();
    });
  });
</script>
